LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XChapterNumberingSupplier Interface Referencepublished

contains the settings of the chapter numbering in a text document. More...

`import"XChapterNumberingSupplier.idl";`

Inheritance diagram for XChapterNumberingSupplier:

## Public Member Functions
com::sun::star::container::XIndexReplace | getChapterNumberingRules ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

contains the settings of the chapter numbering in a text document.

## Member Function Documentation

## ◆ getChapterNumberingRules()

com::sun::star::container::XIndexReplace getChapterNumberingRules | ( |  | ) |

Returns
  the collection of numbering rules for this document.

This interface allows access to the properties of the numbering level via a sequence of com::sun::star::beans::PropertyValues.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XChapterNumberingSupplier.idl